### Function

# AppStreamCompose IconState from_string

#### Declaration [src]

    AscIconState
    asc_icon_state_from_string (
      const gchar* state_str
    )

#### Description [src]

Converts the text representation to an enumerated value.

#### Parameters

`state_str`

  Type: `const gchar*`

  The string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AscIconState`

A `AscIconState`.